# Function RxapForm

- RxapForm(optionsOrId, className?, packageName?): ((target) => void)

- #### Parameters

  - optionsOrId: string | FormDefinitionMetadata
  - className: string = 'FormDefinition'
  - packageName: string = '@rxap/forms'

  #### Returns ((target) => void)

  - - (target): void

    - #### Parameters

      - target: any

      #### Returns void

  - Defined in packages/angular/forms/src/lib/decorators/form.ts:4